Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class Servant

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant

Direct Known Subclasses:
  AbstractInterfaceDefPOA, AdapterActivatorPOA, AliasDefPOA, ArrayDefPOA, AttributeDefPOA, BidirectionalPolicyPOA, BindingIteratorPOA, CodeBasePOA, ConstantDefPOA, ContainedPOA, ContainerPOA, CorbalocServicePOA, DomainManagerPOA, DynamicImplementation, EnumDefPOA, ExceptionDefPOA, FixedDefPOA, IDLTypePOA, InterfaceDefPOA, IRObjectPOA, LocalInterfaceDefPOA, ModuleDefPOA, NamingContextExtPOA, NamingContextPOA, NativeDefPOA, OperationDefPOA, PolicyPOA, PrimitiveDefPOA, RepositoryPOA, RunTimePOA, SequenceDefPOA, ServantActivatorPOA, ServantLocatorPOA, ServantManagerPOA, StringDefPOA, StructDefPOA, TypeCodeFactoryPOA, TypedefDefPOA, UnionDefPOA, ValueBoxDefPOA, ValueDefPOA, ValueMemberDefPOA, WstringDefPOA

public abstract class Servant
extends java.lang.Object

Servant class

Constructor Summary
`Servant()`

Method Summary
`abstract java.lang.String[]` | `_all_interfaces(POA poa, byte[] objectId)`
`POA` | `_default_POA()`
`Delegate` | `_get_delegate()`
`Object` | `_get_interface_def()`
`InterfaceDef` | `_get_interface()` Deprecated. Depreacted by CORBA 2.4
`boolean` | `_is_a(java.lang.String repid)`
`boolean` | `_non_existent()`
`byte[]` | `_object_id()`
`ORB` | `_orb()`
`void` | `_orb(ORB orb)`
`POA` | `_poa()`
`void` | `_set_delegate(Delegate __delegate)`
`Object` | `_this_object()`
`Object` | `_this_object(ORB orb)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Servant

    public Servant()

Method Detail

### _this_object

    public final Object _this_object()

### _this_object

    public final Object _this_object(ORB orb)

### _orb

    public final ORB _orb()

### _orb

    public final void _orb(ORB orb)

### _poa

    public final POA _poa()

### _object_id

    public final byte[] _object_id()

### _default_POA

    public POA _default_POA()

### _is_a

    public boolean _is_a(java.lang.String repid)

### _non_existent

    public boolean _non_existent()

### _get_interface

    public InterfaceDef _get_interface()

  Deprecated. Depreacted by CORBA 2.4

### _get_interface_def

    public Object _get_interface_def()

### _all_interfaces

    public abstract java.lang.String[] _all_interfaces(POA poa,
                                                       byte[] objectId)

### _get_delegate

    public final Delegate _get_delegate()

### _set_delegate

    public final void _set_delegate(Delegate __delegate)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD